mrueg       14/11/23 19:20:49

  Modified:             pip-1.4.1.ebuild pip-1.5.6.ebuild ChangeLog
  Log:
  Install zsh-completion files unconditionally.
  
  (Portage version: 2.2.14/cvs/Linux x86_64, signed Manifest commit with key )

Revision  Changes    Path
1.8                  dev-python/pip/pip-1.4.1.ebuild

file : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-python/pip/pip-1.4.1.ebuild?rev=1.8&view=markup
plain: 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-python/pip/pip-1.4.1.ebuild?rev=1.8&content-type=text/plain
diff : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-python/pip/pip-1.4.1.ebuild?r1=1.7&r2=1.8

Index: pip-1.4.1.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/dev-python/pip/pip-1.4.1.ebuild,v
retrieving revision 1.7
retrieving revision 1.8
diff -u -r1.7 -r1.8
--- pip-1.4.1.ebuild    20 Aug 2014 20:36:24 -0000      1.7
+++ pip-1.4.1.ebuild    23 Nov 2014 19:20:49 -0000      1.8
@@ -1,6 +1,6 @@
 # Copyright 1999-2014 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/dev-python/pip/pip-1.4.1.ebuild,v 1.7 
2014/08/20 20:36:24 blueness Exp $
+# $Header: /var/cvsroot/gentoo-x86/dev-python/pip/pip-1.4.1.ebuild,v 1.8 
2014/11/23 19:20:49 mrueg Exp $
 
 EAPI=5
 PYTHON_COMPAT=( python{2_6,2_7,3_2,3_3} pypy pypy2_0 )
@@ -14,7 +14,7 @@
 LICENSE="MIT"
 KEYWORDS="~alpha amd64 ~ppc ~ppc64 x86 ~amd64-linux ~x86-linux"
 SLOT="0"
-IUSE="zsh-completion"
+IUSE=""
 
 RDEPEND="dev-python/setuptools[${PYTHON_USEDEP}]"
 DEPEND="${RDEPEND}"
@@ -33,9 +33,7 @@
        ${EPYTHON} pip/runner.py completion --bash > "${COMPLETION}" || die
        newbashcomp "${COMPLETION}" ${PN}
 
-       if use zsh-completion ; then
-               ${EPYTHON} pip/runner.py completion --zsh > "${COMPLETION}" || 
die
-               insinto /usr/share/zsh/site-functions
-               newins "${COMPLETION}" _pip
-       fi
+       ${EPYTHON} pip/runner.py completion --zsh > "${COMPLETION}" || die
+       insinto /usr/share/zsh/site-functions
+       newins "${COMPLETION}" _pip
 }



1.5                  dev-python/pip/pip-1.5.6.ebuild

file : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-python/pip/pip-1.5.6.ebuild?rev=1.5&view=markup
plain: 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-python/pip/pip-1.5.6.ebuild?rev=1.5&content-type=text/plain
diff : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-python/pip/pip-1.5.6.ebuild?r1=1.4&r2=1.5

Index: pip-1.5.6.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/dev-python/pip/pip-1.5.6.ebuild,v
retrieving revision 1.4
retrieving revision 1.5
diff -u -r1.4 -r1.5
--- pip-1.5.6.ebuild    19 Nov 2014 15:56:50 -0000      1.4
+++ pip-1.5.6.ebuild    23 Nov 2014 19:20:49 -0000      1.5
@@ -1,6 +1,6 @@
 # Copyright 1999-2014 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/dev-python/pip/pip-1.5.6.ebuild,v 1.4 
2014/11/19 15:56:50 idella4 Exp $
+# $Header: /var/cvsroot/gentoo-x86/dev-python/pip/pip-1.5.6.ebuild,v 1.5 
2014/11/23 19:20:49 mrueg Exp $
 
 EAPI=5
 PYTHON_COMPAT=( python{2_7,3_3,3_4} pypy pypy3  )
@@ -14,7 +14,7 @@
 LICENSE="MIT"
 KEYWORDS="~amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 ~x86 ~amd64-linux ~x86-linux"
 SLOT="0"
-IUSE="zsh-completion"
+IUSE=""
 
 RDEPEND="dev-python/setuptools[${PYTHON_USEDEP}]"
 DEPEND="${RDEPEND}"
@@ -31,9 +31,7 @@
        ${EPYTHON} pip/runner.py completion --bash > "${COMPLETION}" || die
        newbashcomp "${COMPLETION}" ${PN}
 
-       if use zsh-completion ; then
-               ${EPYTHON} pip/runner.py completion --zsh > "${COMPLETION}" || 
die
-               insinto /usr/share/zsh/site-functions
-               newins "${COMPLETION}" _pip
-       fi
+       ${EPYTHON} pip/runner.py completion --zsh > "${COMPLETION}" || die
+       insinto /usr/share/zsh/site-functions
+       newins "${COMPLETION}" _pip
 }



1.42                 dev-python/pip/ChangeLog

file : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-python/pip/ChangeLog?rev=1.42&view=markup
plain: 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-python/pip/ChangeLog?rev=1.42&content-type=text/plain
diff : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-python/pip/ChangeLog?r1=1.41&r2=1.42

Index: ChangeLog
===================================================================
RCS file: /var/cvsroot/gentoo-x86/dev-python/pip/ChangeLog,v
retrieving revision 1.41
retrieving revision 1.42
diff -u -r1.41 -r1.42
--- ChangeLog   19 Nov 2014 15:56:50 -0000      1.41
+++ ChangeLog   23 Nov 2014 19:20:49 -0000      1.42
@@ -1,6 +1,10 @@
 # ChangeLog for dev-python/pip
 # Copyright 1999-2014 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/dev-python/pip/ChangeLog,v 1.41 2014/11/19 
15:56:50 idella4 Exp $
+# $Header: /var/cvsroot/gentoo-x86/dev-python/pip/ChangeLog,v 1.42 2014/11/23 
19:20:49 mrueg Exp $
+
+  23 Nov 2014; Manuel RĂ¼ger <[email protected]> pip-1.4.1.ebuild,
+  pip-1.5.6.ebuild:
+  Install zsh-completion files unconditionally.
 
   19 Nov 2014; Ian Delaney <[email protected]> pip-1.5.6.ebuild:
   clean old python impl, add pypy3 support




Reply via email to